/* Implements directives, pseudo-ops and processor opcodes
   Copyright 1998-2005
   James Bowman, Craig Franklin
*/

#pragma once

#define W                   0
#define F                   1
#define ACCESS              0
#define BANKED              1

extern gpasmVal do_insn(const char *Op_name, struct pnode *Parms);
extern void opcode_init(int Stage);
extern void begin_cblock(const struct pnode *Cblock);
extern void continue_cblock(void);
extern void cblock_expr(const struct pnode *Expr);
extern void cblock_expr_incr(const struct pnode *Expr, const struct pnode *Incr);
extern bool asm_enabled(void);

