/* messaging functions
   Copyright 2003, 2004, 2005
   Craig Franklin
*/

#pragma once

EXTERN bool gp_quiet;
extern bool gp_message_disable;
EXTERN bool gp_debug_disable;

EXTERN int gp_num_errors;
extern int gp_num_warnings;
extern int gp_num_messages;

FUNC(void) gp_error(const char* Format, ...);
FUNC(void) gp_warning(const char* Format, ...);
FUNC(void) gp_message(const char* Format, ...);
FUNC(void) gp_debug(const char* Format, ...);

int gp_real_num_errors(void);
int gp_real_num_warnings(void);
int gp_real_num_messages(void);
