/* libgputils header
   Copyright 2001, 2002, 2003, 2004, 2005
   Craig Franklin

   Copyright 2014-2016 Molnár Károly
*/

#ifndef __LIBGPUTILS_H__
#define __LIBGPUTILS_H__

/* library files */
#include "gptypes.h"
#include "gplist.h"
#include "gphash.h"
#include "gpbitarray.h"
#include "gpsystem.h"
#include "gpmessage.h"

/* common files */
#include "gpmemory.h"
#include "gpopcode.h"
#include "gpprocessor.h"
#include "gpsym.h"
#include "gpdis.h"
#include "gpwritehex.h"
#include "gpreadhex.h"

/* COFF files */
#include "gpcoff.h"
#include "gparchive.h"
#include "gpcoffgen.h"
#include "gpcofflink.h"
#include "gpcoffopt.h"
#include "gpreadobj.h"
#include "gpwriteobj.h"

/* COD files */
#include "gpcod.h"

#include "gpregister.h"
#include "gpsymbol.h"

#endif /* __LIBGPUTILS_H__ */
